Bug 439363 - virt install failed( because of koan is no more support --virt-graphics option)
virt install failed( because of koan is no more support --virt-graphics option)
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: func (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 05:43 EDT by shota
Modified: 2014-01-21 18:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 06:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shota 2008-03-28 05:43:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja-JP) AppleWebKit/525.13 (KHTML, like Gecko) Version/3.1 Safari/525.13

Description of problem:
virt install failed.

below is /var/log/func/func.log 
2008-03-28 18:06:46,059 - DEBUG - (X) -------------------------------------------
2008-03-28 18:06:46,178 - INFO - Exception occured: codes.FuncException
2008-03-28 18:06:46,178 - INFO - Exception value: koan returned 1
2008-03-28 18:06:46,179 - INFO - Exception Info:
  File "/usr/lib/python2.4/site-packages/func/minion/server.py", line 137, in __call__
    rc = self.__method(*args)
   File "/usr/lib/python2.4/site-packages/func/minion/modules/virt.py", line 220, in install
    if rc == 0:
2008-03-28 18:06:46,179 - DEBUG - Return code for virt.install: ['REMOTE_ERROR','codes.FuncException', 'koan returned 1', '  File "/usr/lib/python2.4/site-packages/func/minion/server.py", line 137, in __call__\n    rc = self.__method(*args)\n   File "/usr/lib/python2.4/site-packages/func/minion/modules/virt.py", line 220, in install\n    if rc == 0:\n']

koan-0.18 does not support --virt-graphics option. Raise codes.FuncException("koan returned %d" % rc).

below is patch.

$ diff -u func/minion/modules/virt.py{.orig,}
--- func/minion/modules/virt.py.orig    2008-03-28 18:25:23.000000000 +0900
+++ func/minion/modules/virt.py 2008-03-28 18:25:35.000000000 +0900
@@ -208,7 +208,6 @@
         koan_args = [
             "/usr/bin/koan",
             "--virt",
-            "--virt-graphics",  # enable VNC
             "--%s=%s" % (target, target_name),
             "--server=%s" % server_name
         ]



Version-Release number of selected component (if applicable):
func-0.18-1

How reproducible:
Always


Steps to Reproduce:
1. setup func, cobbler, koan
2. in python script  
client.virt.install("cobbler.example.com", "virthostname", True)


Actual Results:


Expected Results:


Additional info:
Comment 1 Michael DeHaan 2009-06-24 14:58:25 EDT
Agreed with above patch.
Comment 3 Mark Chappell 2010-09-23 06:48:50 EDT
That line has gone in the version currently in EPEL5 (func-0.24-1.el5)

Note You need to log in before you can comment on or make changes to this bug.